import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 1000;/*width*/
const height = 600;/*height*/
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 35;/*face border width*/
const eyeOffsetX = 150;/*distance of eyes w.r.t x-axis*/
const eyeOffsetY = 150;/*distance of eyes w.r.t y-axis*/
const eyeRadius = 55;/*radius of the eyes*/
const mouthWidth = 35;/*mouth width*/
const mouthRadius = 165;/*radius of the semi circle of the mouth*/

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="grey"//face color
        stroke="blue"//face border color
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="red"//left eye color
      	stroke="pink"//left eye border color
      	stroke-width="7"//left eye border width
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="purple"//right eye color
      	stroke="black"//right eye border color
      	stroke-width="25"//right eye border width
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "green"//right eye ball color
        stroke = "aqua"//right eye ball border color
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "green"//left eye ball color
        stroke = "green"//left eye ball border color
      />
    <ellipse
        rx={eyeRadius/2}
        ry={eyeRadius/2}
        fill = "yellow"//nose color
        stroke = "green"//nose border color
      />
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "black"//lines color near nose
        stroke-width = '5'//line width
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "black"//lines color near nose
        stroke-width = '5'//lines width
      />
      <line
        x1={-100}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={100}
        y1={20}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={100}
        y1={10}
        x2={30}
        y2={10}
        stroke = "black"
            stroke-width = '5'
      />
      <line
        x1={-100}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={-200}
        y1={-235}
        x2={-120}
        y2={-210}
        stroke = "black"//left eye brow color
        stroke-width = '15'//left eye brow width
      />
      <line
        x1={200}
        y1={-235}
        x2={120}
        y2={-210}
        stroke = "black"//right eye brow color
        stroke-width = '15'//right eye brow width
      />
      <line
        x1={-200}
        y1={-240}
        x2={-200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
      <line
        x1={200}
        y1={-240}
        x2={200}
        y2={-140}
        stroke = "black"
        stroke-width = '15'
      />
    
  <path d={mouthArc()}/>
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);